Bug 1476033 - Mail is not sent for pending requests when approval is set to manual
Mail is not sent for pending requests when approval is set to manual
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: William Fitzgerald
Dave Johnson
service
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 17:59 EDT by Shveta
Modified: 2017-12-05 10:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 15:26:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shveta 2017-07-27 17:59:30 EDT
Description of problem: Set the service provision request approval to manual.
But the mail is not sent for pending requests to the user


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Under Automate - Explorer - create a new domain and copy Email and set the email id .
2. Copy the approval instance to new domain and set the approval to manual.
3. Provision a service request . request stays pending and no email notification is sent .

Actual results:


Expected results:


Additional info:
Appliance  : https://10.8.197.227
Comment 3 Greg McCullough 2017-07-31 09:34:41 EDT
Billy - Discuss with Tina, but I am thinking the product is not configured this way out-of-the-box and may require additionally configuration changes when changing the service from auto to manual approval.

I am not sure if there is anything we need to provide here other then configuration steps.
Comment 4 William Fitzgerald 2017-08-04 15:46:18 EDT
Shveta,

  I can't access your appliance.  Can you recreate this and send me appliance information?  
  This is working in my environment.  Manual should set the services in pending and emails should be sent to requester and approver. 

Thanks

Billy
Comment 5 Shveta 2017-08-07 14:41:15 EDT
Hi , 

Can you please check https://10.8.197.147.
There is a request in pending state.
Set the approval to manual but didn't get any email.

Shveta
Comment 6 William Fitzgerald 2017-08-07 15:19:07 EDT
Shveta,

You need to copy this email instance to your domain for this to work.

ServiceTemplateProvisionRequest_Pending

I did this in your appliance and checking the log, the email was sent to you.

Let me know if you have any more questions.

Thanks

Billy

[----] I, [2017-08-07T15:12:34.562927 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> miq_request id: 12 approval_state: pending_approval
[----] I, [2017-08-07T15:12:34.564971 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> options: {:dialog=>{"dialog_service_name"=>"sNcS99biMa"}, :workflow_settings=>{:resource_action_id=>84, :dialog_id=>56}, :initiator=>nil, :src_id=>5, :cart_state=>"ordered", :requester_group=>"EvmGroup-super_administrator"}
[----] I, [2017-08-07T15:12:34.570661 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> service_template id: 5 service_type: atomic
[----] I, [2017-08-07T15:12:34.577262 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> description: my catalog services: 1
[----] I, [2017-08-07T15:12:34.579958 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> Requester email logic starting
[----] I, [2017-08-07T15:12:34.585372 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> To email: sshveta@redhat.com
[----] I, [2017-08-07T15:12:34.588849 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> Sending email to sshveta@redhat.com from evmadmin@example.com subject: Request ID 12 - Your Service Request was not Auto-Approved
[----] I, [2017-08-07T15:12:34.595852 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> Requester email logic starting
[----] I, [2017-08-07T15:12:34.599749 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> To email: sshveta@redhat.com
[----] I, [2017-08-07T15:12:34.606600 #5820:5e03bc]  INFO -- : <AEMethod servicetemplateprovisionrequest_pending> Sending email to sshveta@redhat.com from evmadmin@example.com subject: Request ID 12 - Service request was not approved
[----] I, [2017-08-07T15:12:34.632776 #5820:5ef13c]  INFO -- : <AEMethod [/ManageIQ/Service/Provisioning/Email/ServiceTemplateProvisionRequest_Pending]> Ending
[----] I, [2017-08-07T15:12:34.632858 #5820:5ef13c]  INFO -- : Method exited with rc=MIQ_OK
Comment 7 Shveta 2017-08-07 15:26:16 EDT
Thanks.
Closing.

Note You need to log in before you can comment on or make changes to this bug.